# Source, co-occurrence, and prognostic value of PTEN mutations or loss in colorectal cancer
Ilya G. Serebriiskii<sup>1</sup>,<sup>2</sup>, Valerii Pavlov<sup>1</sup>,<sup>3</sup>, Grigorii Andrianov<sup>1</sup>, Samuel Litwin<sup>1</sup>,<sup>4</sup>, Stanley Basickes<sup>5</sup>, Justin Newber<sup>5,6</sup>, Garrett Frampton<sup>6</sup>, Joshua E. Meyer<sup>1</sup>,<sup>7</sup>, and Erica A. Golemis<sup>1</sup>,<sup>8</sup>

## Abstract
Germline mutations in the tumor suppressor PTEN (phosphatase and tensin homolog deleted on chromosome ten) are predisposing to multiple forms of cancer, and somatic PTEN mutations are common in some cancer subtypes, and contribute to disease pathogenesis. In colorectal cancers (CRCs), somatic PTEN-inactivating mutations occur at a low frequency (~8-9%), and whether these mutations are actively selected and promote tumor aggressiveness has been controversial. To better understand selection pressures associated with PTEN mutation profiles, we analyzed genomic data from ~ 50,000 CRCs from Foundation Medicine and public data sources. Hotspot mutation patterns in PTEN partially reflected DNA-dependent selection pressures, including mutational signatures prevalent in CRC and DNA curvature. The significant bias towards mutations reducing PTEN expression or phosphatase activity suggested a strong selection pressure based on protein function, although analysis of the allele frequency of function-damaging and function-neutral PTEN mutations observed in CRC indicated no differences in tumor evolutionary history. In microsatellite stable (MSS) tumors, PTEN alterations tended to co-occur with mutations activating BRAF or PI3K, or with TP53 deletions. Unexpectedly, PTEN deletions were associated with poor survival in microsatellite stable (MSS) CRC, whereas in CRC with microsatellite instability (MSI), PTEN mutations were associated with improved survival. These and other data suggest use of PTEN as a prognostic marker is valid in CRC, but must consider additional factors including driver mutation landscape, tumor subtype, and category of PTEN alteration.

## Affiliation
<sup>1</sup>Program in Cell Signaling and Microenvironment, Fox Chase Cancer Center, Philadelphia, PA 19111; <sup>2</sup>Kazan Federal University, 420000, Kazan, Russian Federation; <sup>3</sup>Moscow Institute of Physics and Technology, 141701, Dolgoprudny, Moscow Region, Russian Federation; <sup>4</sup>Biostatistics and Bioinformatics Facility, Fox Chase Cancer Center, Philadelphia, PA 19111; <sup>5</sup>Greenfield Manufacturing, 9800 Bustleton Ave, Philadelphia PA, 19115; <sup>6</sup>Foundation Medicine Inc, 150 Second St., Cambridge, MA, 02141, USA; <sup>7</sup>Department of Radiation Oncology, Fox Chase Cancer Center, Philadelphia, PA 19111; <sup>8</sup>Department of Cancer and Cellular Biology, Lewis Katz School of Medicine at Temple University, Philadelphia, PA 19140

## Correspondence
Erica A. Golemis or Ilya Serebriiskii
Fox Chase Cancer Center
333 Cottman Ave.
Philadelphia, PA 19111 USA

Erica.Golemis@fccc.edu
(215) 728-2860 (ph), (215) 728-3616 (fax)

Ilya.Serebriiskii@fccc.edu
(215) 728-3885 (ph), (215) 728-3616 (fax)
